Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I am tasked with compiling a newer version of the Linux kernel that what is currently running on this CentOS 6.3 system. My instructions were to get a new kernel from kernel.org, but I was told that it didn't necessarily have to be the very latest stable kernel. I am going to have to work and code on this machine for the next year so I would prefer to have the latest version if possible. My question is this: If I have the choice between installing the 3.5.4 Linux kernel, or an older one say 2.6.32 should I expect more difficulty in getting the newest kernel to work correctly and reliably with CentOS? Or should I expect backwards compatibility in general, in which case I think it's worth it to try the newest kernel.

I have never compiled a linux kernel for a distribution and I do not know how big of a deal it will be if I mess up by trying to install a kernel that is not able to be supported by CentOS.

share|improve this question

closed as not a real question by Darth Android, 8088, MaQleod, Indrek, techie007 Sep 28 '12 at 17:57

It's difficult to tell what is being asked here. This question is ambiguous, vague, incomplete, overly broad, or rhetorical and cannot be reasonably answered in its current form. For help clarifying this question so that it can be reopened, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
Welcome to Super User! Your question isn't very clear, as you actually ask multiple open and vague questions while giving little to no criteria on what you're wanting to know about a particular version of the linux kernel. You should edit your post and try breaking down your questions and focus on one specific question, and provide concrete specifications in what you want to know. However, I fear this will make the question too localized, in that it is very specific to just your situation, and just one version of the linux kernel. Super User may not be the best place for it. –  Darth Android Sep 28 '12 at 16:08
    
EDIT: Tried to make the question clearer and elaborate on my concerns that push me to ask it. Perhaps the question is too localized as only those with experience installing multiple kernel versions on a CentOS system will be able to answer. If so I can remove/withdraw the question. –  Cory Gross Sep 28 '12 at 16:21
add comment

1 Answer

up vote 1 down vote accepted

There are other parts of CentOS that require the current CentOS kernel to function properly. One such program is the libvirt/KVM combination. There are others. If you take a look at the concept of backporting you will see that the distribution is designed to be secure and features are backported into the current kernel:

https://access.redhat.com/security/updates/backporting/

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.